Plantago
2016-02-16 02:37
采纳率: 52.9%
浏览 1.6k

使用HttpClient访问网络

使用HttpClient访问网络
清单文件 android:minSdkVersion="14"
android:targetSdkVersion="19" />
出错

android:minSdkVersion="9"
/>
就没错。请问是什么问题

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

4条回答 默认 最新

  • bdmh 2016-02-16 02:41
    已采纳

    从11开始,就不允许和在主线程中请求了

    点赞 打赏 评论
  • bdmh 2016-02-16 02:38

    出什么错,高版本http请求需要写在异步里面

    点赞 打赏 评论
  • Plantago 2016-02-16 02:44

    图片说明

    点赞 打赏 评论
  • zy__ 2016-02-16 02:54

    关于这个异常可以定义一个线程,把http请求的部分放在线程里去做。

    点赞 打赏 评论

相关推荐 更多相似问题